Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Все о скриптах

Модераторы: Art.i, vasya

Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение Tirael666 » Пт мар 11, 2011 8:21 pm

Для работы joomla 1.6 требуется PHP 5.2.4, у меня на серве phpinfo() показывает версию PHP Version 5.2.0-8+etch16

Думал что PHP на сервере будет обновляться автоматически... но оказалось что нет)
Подскажите как можно самому обновить, безболезненно для всех сайтов.
Заранее спасибо!
Tirael666
 
Сообщений: 7
Зарегистрирован: Пн июл 13, 2009 4:47 pm

Сообщение be1ko » Пт мар 11, 2011 9:07 pm

если все это дело происходит под Debian, то достаточно обновить репозитории и обновить до нужной версии.

$ sudo nano /etc/apt/sources.list
...
deb http://packages.dotdeb.org stable all
deb-src http://packages.dotdeb.org stable all
#
deb http://php53.dotdeb.org stable all
deb-src http://php53.dotdeb.org stable all

P.S. все это делается через SSH
be1ko
 
Сообщений: 61
Зарегистрирован: Вт янв 04, 2011 8:54 pm
Откуда: Stavropol

Сообщение belkaU » Вт апр 26, 2011 8:36 am

А можно, пожалуйста, для умственно отсталых.
Debian это где, и как это запустить.
Из панели ISP? или через Другое место...
belkaU
 
Сообщений: 13
Зарегистрирован: Вт мар 08, 2011 7:34 pm

Сообщение Tasman » Вт апр 26, 2011 11:05 am

debian это операционная система, установленная на вдс.
в ISP внизу есть кнопка MindTerm (SSH клиент), через нее можно попробовать выполнить. или скачать отдельно Putty
Tasman
 
Сообщений: 28
Зарегистрирован: Вт мар 01, 2011 12:47 pm

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение Tirael666 » Пн июл 18, 2011 2:38 pm

Тоесть после обновления репозиториев я просто делаю
Код: выделить все
sudo apt-get install php5


И все? настройки PHP останутся теми же?
Tirael666
 
Сообщений: 7
Зарегистрирован: Пн июл 13, 2009 4:47 pm

PHP до версии PHP 5.2.4

Сообщение Captain » Пн июл 18, 2011 3:03 pm

Чтобы тему не создавать новую, а оф. обновление PHP 5.2.17 в "темплейте" FreeBSD-8-ISPmanager когда будет?
WordPress v.3.2 начал тоже PHP 5.2.4+ требовать.
Captain
 
Сообщений: 108
Зарегистрирован: Вт авг 18, 2009 4:20 pm

Re: PHP до версии PHP 5.2.4

Сообщение tuupic » Пн июл 18, 2011 3:44 pm

Captain писал(а):Чтобы тему не создавать новую, а оф. обновление PHP 5.2.17 в "темплейте" FreeBSD-8-ISPmanager когда будет?
WordPress v.3.2 начал тоже PHP 5.2.4+ требовать.

Будет, когда выйдет php-5.2.18, пока его нету.
17 > 4
tuupic
Support team
 
Сообщений: 133
Зарегистрирован: Чт фев 21, 2008 8:55 am

Re: PHP до версии PHP 5.2.4

Сообщение Captain » Пн июл 18, 2011 5:06 pm

tuupic писал(а):17 > 4

Точно, ступил немного с 24 перепутал, жарко. :)
Captain
 
Сообщений: 108
Зарегистрирован: Вт авг 18, 2009 4:20 pm

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение Tirael666 » Вт июл 19, 2011 2:29 pm

Так все таки

Тоесть после обновления репозиториев я просто делаю

Код: выделить все
sudo apt-get install php5



И все? настройки PHP останутся теми же?
Tirael666
 
Сообщений: 7
Зарегистрирован: Пн июл 13, 2009 4:47 pm

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение ls » Чт июл 21, 2011 7:12 pm

Да, настройки останутся, только репозитории верные прописывайте, Debian 5.0 - это oldstable, подробная инструкция на сайте http://www.dotdeb.org/instructions/
* FirstVDS в twitter в facebook и в вконтакте *
ls
Support team
 
Сообщений: 6405
Зарегистрирован: Чт мар 01, 2007 10:36 am
Откуда: FirstVDS

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение Tirael666 » Чт авг 04, 2011 4:57 pm

Стоит Debian 4 "Etch".
прописал в репозиториях


deb http://archive.debian.org/debian/ etch main contrib non-free
deb http://archive.debian.org/debian-security/ etch/updates main contrib non-free


сделал apt-get update и apt-get upgrade.
сделал apt-get install php5. Ничего не обновилось(( ПХП так и остался 5.2.0-8+etch16

Что я делаю не так?
Tirael666
 
Сообщений: 7
Зарегистрирован: Пн июл 13, 2009 4:47 pm

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение Tirael666 » Сб авг 06, 2011 3:34 pm

Вопрос еще актуален..
Tirael666
 
Сообщений: 7
Зарегистрирован: Пн июл 13, 2009 4:47 pm

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение ls » Сб авг 06, 2011 3:51 pm

На Debian 4.0 вы не сможете обновить - это уже не поддерживаемая система сообществом debian больше года
Берите VDS с Debian 5.0 и переносите на него данные.
* FirstVDS в twitter в facebook и в вконтакте *
ls
Support team
 
Сообщений: 6405
Зарегистрирован: Чт мар 01, 2007 10:36 am
Откуда: FirstVDS

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение Tirael666 » Сб авг 06, 2011 7:21 pm

А если обновить до lenny. Прописать репозитории lenny и сделать apt-get dist-upgrade..

Есть вероятно что система обновиться и все запустится автоматом после перезагрузки?
Tirael666
 
Сообщений: 7
Зарегистрирован: Пн июл 13, 2009 4:47 pm

Re: Обновить PHP до версии PHP 5.2.4 на VDS СТАРТ

Сообщение ls » Сб авг 06, 2011 7:25 pm

На VDS не получится обновить систему корректно
* FirstVDS в twitter в facebook и в вконтакте *
ls
Support team
 
Сообщений: 6405
Зарегистрирован: Чт мар 01, 2007 10:36 am
Откуда: FirstVDS

След.

Вернуться в CGI, Perl, PHP

Кто сейчас на форуме

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1